#!/usr/bin/env python

#
# ThreadLib Library, this lib takes care of all the threading support
# Written by Bart Verwilst <verwilst@gentoo.org>
#
from qt import *
import thread, time

class ThreadExec: 
	def __init__(self, win, action):
		self.win = win
		self.action = action ## What should the thread execute?

		self.running = "false"

	def Start(self):
		self.keepGoing = self.running = "true"
		thread.start_new_thread(self.Run, ())

	def Stop(self):
		self.keepGoing = "false"

	def IsRunning(self):
		return self.running

	def Run(self):
		if self.action == "Bleh":
			for x in range(10000):
				QListViewItem(self.win.ListView1, "bleh")
				print str(x)
				time.sleep(0.1)
		self.running = "false"
